## opencolorio 2.1.2+dfsg1

=== debian/changelog ===
opencolorio (2.1.2+dfsg1-4ubuntu2) lunar; urgency=medium

  * No-change rebuild against libopenimageio 2.4 (LP: #2004267)

 -- Olivier Gayot <olivier.gayot@canonical.com>  Tue, 31 Jan 2023 17:37:40 +0100

opencolorio (2.1.2+dfsg1-4ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/patches/0002-fix-documentation-cmake-syntax.patch
    - Include header file in binary package (change in d/rules and
      d/python3-pyopencolorio.install)
  * Drop Conflicts/Replaces on broken prerelease versions of
    libopencolorio1v5.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 24 Jan 2023 14:32:49 -0800

opencolorio (2.1.2+dfsg1-4) unstable; urgency=medium

  [ Pino Toscano ]
  * debian/control: update build-dependencies

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 20 Aug 2022 23:39:40 +0200

opencolorio (2.1.2+dfsg1-3ubuntu2) lunar; urgency=medium

  * No-change rebuild against freeglut3.12

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 28 Nov 2022 23:29:49 +0000

opencolorio (2.1.2+dfsg1-3ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable (LP: #1987041). Remaining changes:
    - d/patches/0002-fix-documentation-cmake-syntax.patch
    - Include header file in binary package (change in d/rules and
      d/python3-pyopencolorio.install)
  * debian/control: add Conflicts: and Replaces: fields on libopencolorio2.1
    since versions of libopencolorio1v5 containing libOpenColorIO.so.2.1 were
    uploaded to kinetic.

 -- Olivier Gayot <olivier.gayot@canonical.com>  Fri, 19 Aug 2022 11:51:16 +0200

opencolorio (2.1.2+dfsg1-3) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 18 Aug 2022 19:59:49 +0200

opencolorio (2.1.2+dfsg1-2) experimental; urgency=medium

  * debian/: switch to Imath/OpenEXR 3.x
  * debian/control: python3-imath b-dep added

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 17 Aug 2022 23:47:34 +0200

opencolorio (2.1.2+dfsg1-1) experimental; urgency=medium

  * New upstream release (Closes: #995905, #984276)
    - debian/: SONAME bump 1 -> 2
    - debian/patches/: obsolete patchset dropped
  * debian/:
    - drop documentation binary package
    - M-A support added
  * debian/patches/: patchset updated
    - 0001-Fix_cstring_issue.patch added
  * debian/NEWS: file added
  * debian/watch: path and repacking updated
  * debian/manpages/: manual pages added and updated
  * debian/copyright: paths fixed
  * debian/control:
    - freeglut3-dev b-dep added
    - more missing b-deps added
    - S-V bump 4.5.1 -> 4.6.1 (no changes needed)
    - python3-dev -> python3-dev:any
    - fix upstream URL
    - demote to use IlmBase/OpenEXR 2.x
    - add pybuild-plugin-pyproject b-dep
  * debian/rules:
    - CMAKE_BUILD_TYPE parameter added
    - drop useless repack variable
    - avoid building external packages
    - hard set for pystring headers directory
    - drop obsolete settings on Python
    - bump CMAKE_CXX_STANDARD to 17
    - add and re-arrange exports and variables
    - explicitly define OpenEXR Half usage
    - drop documentation moving
    - drop auto clean overriding
    - static libraries dropped
    - documentation files removal dropped

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 11 Aug 2022 23:46:16 +0200

opencolorio (2.1.2~dfsg0-0ubuntu3) kinetic; urgency=medium

  * Remove libOpenColorIOoiiohelpers.a from d/install file now
    that openimageio is built in the archive.

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Mon, 08 Aug 2022 16:18:28 -0500

opencolorio (2.1.2~dfsg0-0ubuntu2) kinetic; urgency=medium

  * Temporarily add libOpenColorIOoiiohelpers.a to d/install file.
    This is needed until openimageio is rebuilt.

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Mon, 08 Aug 2022 09:04:22 -0500

opencolorio (2.1.2~dfsg0-0ubuntu1) kinetic; urgency=medium

  * New upstream version 2.1.2.

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Wed, 03 Aug 2022 14:10:09 -0500

opencolorio (1.1.1~dfsg0-7.1build2) kinetic; urgency=medium

  * Rebuild against new libdcmtk17.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 07 Jun 2022 18:53:05 +0200
