=== debian/control ===
Source: opencolorio
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Matteo F. Vescovi <mfv@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 dh-python,
 doxygen,
 freeglut3-dev,
 libexpat1-dev,
 libglew-dev,
 libimath-dev,
 liblcms2-dev,
 libopenimageio-dev (>= 2.3.9.0) <!pkg.opencolorio.noopenimageio>,
 libpystring-dev (>= 1.1.3),
 libpython3-dev,
 libtinyxml-dev,
 libyaml-cpp-dev,
 pkg-config,
 pybind11-dev,
 pybuild-plugin-pyproject,
 python3:any,
 python3-breathe,
 python3-docutils,
 python3-imath,
 python3-jinja2,
 python3-pygments,
 python3-recommonmark,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-press-theme,
 python3-sphinx-tabs,
 python3-testresources
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://opencolorio.org
Vcs-Git: https://salsa.debian.org/debian-phototools-team/opencolorio.git
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/opencolorio

Package: libopencolorio-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libopencolorio2.1 (= ${binary:Version}),
         ${misc:Depends}
Description: complete color management solution - development
 OpenColorIO (OCIO) is a complete color management solution geared
 towards motion picture production with an emphasis on visual effects
 and computer animation. OCIO provides a straightforward and
 consistent user experience across all supporting applications while
 allowing for sophisticated back-end configuration options suitable
 for high-end production usage. OCIO is compatible with the Academy
 Color Encoding Specification (ACES) and is LUT-format agnostic,
 supporting many popular formats.
 .
 OpenColorIO is released as version 2.0 and has been in development
 since 2003. OCIO represents the culmination of years of production
 experience earned on such films as SpiderMan 2 (2004), Surf's Up
 (2007), Cloudy with a Chance of Meatballs (2009), Alice in Wonderland
 (2010), and many more. OpenColorIO is natively supported in
 commercial applications like Katana, Mari, Nuke, Maya, Houdini,
 Silhouette FX, and others.
 .
 OpenColorIO is free and open source software and one of several
 projects actvively sponsored by the ASWF (Academy Software
 Foundation).
 .
 This package provides the development files used to build
 applications using OpenColorIO.

Package: libopencolorio2.1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: complete color management solution - runtime
 OpenColorIO (OCIO) is a complete color management solution geared
 towards motion picture production with an emphasis on visual effects
 and computer animation. OCIO provides a straightforward and
 consistent user experience across all supporting applications while
 allowing for sophisticated back-end configuration options suitable
 for high-end production usage. OCIO is compatible with the Academy
 Color Encoding Specification (ACES) and is LUT-format agnostic,
 supporting many popular formats.
 .
 OpenColorIO is released as version 2.0 and has been in development
 since 2003. OCIO represents the culmination of years of production
 experience earned on such films as SpiderMan 2 (2004), Surf's Up
 (2007), Cloudy with a Chance of Meatballs (2009), Alice in Wonderland
 (2010), and many more. OpenColorIO is natively supported in
 commercial applications like Katana, Mari, Nuke, Maya, Houdini,
 Silhouette FX, and others.
 .
 OpenColorIO is free and open source software and one of several
 projects actvively sponsored by the ASWF (Academy Software
 Foundation).
 .
 This package provides the runtime files used to run applications
 built against OpenColorIO.

Package: opencolorio-tools
Section: utils
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: complete color management solution - utilities
 OpenColorIO (OCIO) is a complete color management solution geared
 towards motion picture production with an emphasis on visual effects
 and computer animation. OCIO provides a straightforward and
 consistent user experience across all supporting applications while
 allowing for sophisticated back-end configuration options suitable
 for high-end production usage. OCIO is compatible with the Academy
 Color Encoding Specification (ACES) and is LUT-format agnostic,
 supporting many popular formats.
 .
 OpenColorIO is released as version 2.0 and has been in development
 since 2003. OCIO represents the culmination of years of production
 experience earned on such films as SpiderMan 2 (2004), Surf's Up
 (2007), Cloudy with a Chance of Meatballs (2009), Alice in Wonderland
 (2010), and many more. OpenColorIO is natively supported in
 commercial applications like Katana, Mari, Nuke, Maya, Houdini,
 Silhouette FX, and others.
 .
 OpenColorIO is free and open source software and one of several
 projects actvively sponsored by the ASWF (Academy Software
 Foundation).
 .
 This package provides some utilities.

Package: python3-pyopencolorio
Section: python
Architecture: any
Multi-Arch: same
Depends: libopencolorio2.1 (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: complete color management solution - Python bindings
 OpenColorIO (OCIO) is a complete color management solution geared
 towards motion picture production with an emphasis on visual effects
 and computer animation. OCIO provides a straightforward and
 consistent user experience across all supporting applications while
 allowing for sophisticated back-end configuration options suitable
 for high-end production usage. OCIO is compatible with the Academy
 Color Encoding Specification (ACES) and is LUT-format agnostic,
 supporting many popular formats.
 .
 OpenColorIO is released as version 2.0 and has been in development
 since 2003. OCIO represents the culmination of years of production
 experience earned on such films as SpiderMan 2 (2004), Surf's Up
 (2007), Cloudy with a Chance of Meatballs (2009), Alice in Wonderland
 (2010), and many more. OpenColorIO is natively supported in
 commercial applications like Katana, Mari, Nuke, Maya, Houdini,
 Silhouette FX, and others.
 .
 OpenColorIO is free and open source software and one of several
 projects actvively sponsored by the ASWF (Academy Software
 Foundation).
 .
 This package provides Python bindings to the OpenColorIO library.
