## opencolorio 2.1.3%2Bdfsg

=== debian/changelog ===
opencolorio (2.1.3+dfsg-1.1deepin1) unstable; urgency=medium

  * Revert t64.

 -- xiangzelong <xiangzelong@deepin.org>  Tue, 10 Sep 2024 10:26:19 +0800

opencolorio (2.1.3+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062836

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 03:03:29 +0000

opencolorio (2.1.3+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 06 Sep 2023 20:33:23 +0200

opencolorio (2.1.2+dfsg1-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fixup manpage failure (Closes: #1017111)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 26 Aug 2023 16:47:44 +0200

opencolorio (2.1.2+dfsg1-4.1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Non-maintainer upload.
  * Fix FTBFS with newer yaml-cpp (Closes: #1050366)
  * Update manpages (Closes: #1017111)

  [ Olivier Gayot ]
  * Include header file in binary package (change in d/rules and
    d/python3-pyopencolorio.install) (Closes: #1050570)
  * d/patches/0002-fix-documentation-cmake-syntax.patch Fix generation of
    documentation.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 26 Aug 2023 13:55:36 +0200
