=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: opencolorio
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
-Build-Depends:
+Build-Depends: dpkg-dev (>= 1.22.5),
  cmake,
  debhelper-compat (= 13),
  dh-python,
